create or replace procedure AddEnumValue(EnumName$ VarChar2, EnumVal$ Number, ValName$ VarChar2)
as
  EnumID$ Number(10);
  cnt$ Number(10);
begin
  select ID into EnumID$
  from Enums where Name = EnumName$;

  if (EnumID$ is not null) then
    select count(*) into cnt$
      from EnumValues where (EnumRef = EnumID$)and(Val = EnumVal$);

    if cnt$ = 0 then
      insert into EnumValues(EnumRef, Val, Name) values (EnumID$, EnumVal$, ValName$);
    else
      Update EnumValues ev set
        ev.Name = ValName$
      where (ev.EnumRef = EnumID$)and(ev.Val = EnumVal$);
    end if;
  end if;
end;
/

call AddEnumValue('', 2, ',     ,   600 . . (. 4 . 1 . 93 44-)') 
/

drop procedure AddEnumValue
/